<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy transparam.hh</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('transparam_8hh_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">transparam.hh</div></div>
</div><!--header-->
<div class="contents">
<a href="transparam_8hh.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef TRANSPARAM_HH</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define TRANSPARAM_HH</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;termios.h&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237">   12</a></span><span class="keyword">enum</span> <a class="code hl_enumeration" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237">Type4Parity</a> {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237a34382ce4bb40c1824bcca93bc234ab6b">   13</a></span>  <a class="code hl_enumvalue" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237a34382ce4bb40c1824bcca93bc234ab6b">P_None</a>  ,</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237ad9cecbcfe646fb2ce2698ba1daf23d62">   14</a></span>  <a class="code hl_enumvalue" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237ad9cecbcfe646fb2ce2698ba1daf23d62">P_Even</a>  ,</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237ac4d5e9249b497ebae3148a6545300842">   15</a></span>  <a class="code hl_enumvalue" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237ac4d5e9249b497ebae3148a6545300842">P_Odd</a>   ,</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237a2457874c281d6ec0f92dc6e61f79587d">   16</a></span>  <a class="code hl_enumvalue" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237a2457874c281d6ec0f92dc6e61f79587d">P_Mark</a>  ,</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>  <a class="code hl_enumvalue" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237a016cb8ef0f82bf2ea07e6cf6c0e63882">P_Space</a> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237a016cb8ef0f82bf2ea07e6cf6c0e63882">   18</a></span>};</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288f">   26</a></span><span class="keyword">enum</span> <a class="code hl_enumeration" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288f">Type4BaudRate</a> {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa47289a31fc82b611270f1f065dd29374">   27</a></span>    <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa47289a31fc82b611270f1f065dd29374">B_0</a> = B0,</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa9401cafe870d964773dd29c41dd9725e">   28</a></span>    <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa9401cafe870d964773dd29c41dd9725e">B_50</a> = B50,</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa677772bcffc885d68682ea2e57a96369">   29</a></span>    <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa677772bcffc885d68682ea2e57a96369">B_75</a> = B75,</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fad6c9bbc6b9d05dfce96cc12c70190b53">   30</a></span>    <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fad6c9bbc6b9d05dfce96cc12c70190b53">B_110</a> = B110,</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa6741f347183b1cc2b8e40eb83a2555c2">   31</a></span>    <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa6741f347183b1cc2b8e40eb83a2555c2">B_134</a> = B134,</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa0005d784524361a5cdebe194bc9a7e95">   32</a></span>    <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa0005d784524361a5cdebe194bc9a7e95">B_150</a> = B150,</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa510049aa4782215852025c13fd141efc">   33</a></span>    <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa510049aa4782215852025c13fd141efc">B_200</a> = B200,</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fabd0f221fb68bcb918831d4eb9d5e2e53">   34</a></span>    <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fabd0f221fb68bcb918831d4eb9d5e2e53">B_300</a> = B300,</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288faad53e0d4baaafd1d93514a739f25d89e">   35</a></span>    <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288faad53e0d4baaafd1d93514a739f25d89e">B_600</a> = B600,</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fae3f5102fc8661e8b758980d442c11b8e">   36</a></span>    <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fae3f5102fc8661e8b758980d442c11b8e">B_1200</a> = B1200,</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa3a49add2b8f9e87593226dc34583f5d0">   37</a></span>    <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa3a49add2b8f9e87593226dc34583f5d0">B_1800</a> = B1800,</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa2898cf1c1e6cdb0b7fc6fff5c142c4ba">   38</a></span>    <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa2898cf1c1e6cdb0b7fc6fff5c142c4ba">B_2400</a> = B2400,</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa27a92d1ac239b3d44e3a8fc27b6b039f">   39</a></span>    <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa27a92d1ac239b3d44e3a8fc27b6b039f">B_4800</a> = B4800,</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fae7bf4de131e0edb182e39d87d3027018">   40</a></span>    <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fae7bf4de131e0edb182e39d87d3027018">B_9600</a> = B9600,</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa4ecf44e3017ea2b99239d127250289d1">   41</a></span>    <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa4ecf44e3017ea2b99239d127250289d1">B_19200</a> = B19200,</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288faba0b508458bf2a54509bb8a20478ca93">   42</a></span>    <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288faba0b508458bf2a54509bb8a20478ca93">B_38400</a> = B38400,</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa499f4f816c2ffec705d374891bc6eb51">   43</a></span>    <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa499f4f816c2ffec705d374891bc6eb51">B_57600</a> = B57600,</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fae5aff27725ed62df17a9d52c9435d0d5">   44</a></span>    <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fae5aff27725ed62df17a9d52c9435d0d5">B_115200</a> = B115200,</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa9ec9266a076b069458fcabcac21f748f">B_230400</a> = B230400</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa9ec9266a076b069458fcabcac21f748f">   46</a></span>};</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90">   54</a></span><span class="keyword">enum</span> <a class="code hl_enumeration" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90">Type4CharacterSize</a> {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90ae8764489eb63e8cfa4e79d91e26f90a3">   55</a></span>  <a class="code hl_enumvalue" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90ae8764489eb63e8cfa4e79d91e26f90a3">CS_5</a> = CS5 ,</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90a1625f022daa414fd47e25c90eff82460">   56</a></span>  <a class="code hl_enumvalue" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90a1625f022daa414fd47e25c90eff82460">CS_6</a> = CS6 ,</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90a83bba2f5593a571fa5bcadb504f035cd">   57</a></span>  <a class="code hl_enumvalue" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90a83bba2f5593a571fa5bcadb504f035cd">CS_7</a> = CS7 ,</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>  <a class="code hl_enumvalue" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90aca6d77a969cda9a7d5b3764645230ca8">CS_8</a> = CS8 </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90aca6d77a969cda9a7d5b3764645230ca8">   59</a></span>};</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span><span class="keywordtype">bool</span> <a class="code hl_function" href="transparam_8hh.html#adae5ef433c18e71af7b1a18cd4c107e6">SetTransParam</a>( <span class="keywordtype">int</span>                  PortDesc,</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                    <a class="code hl_enumeration" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288f">Type4BaudRate</a>        BRate  = <a class="code hl_enumvalue" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fae5aff27725ed62df17a9d52c9435d0d5">B_115200</a>,</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                    <a class="code hl_enumeration" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237">Type4Parity</a>          Parity = <a class="code hl_enumvalue" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237a34382ce4bb40c1824bcca93bc234ab6b">P_None</a>,</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>                    <a class="code hl_enumeration" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90">Type4CharacterSize</a>   CSize = <a class="code hl_enumvalue" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90aca6d77a969cda9a7d5b3764645230ca8">CS_8</a></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>          );</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="atransparam_8hh_html_a8ff99acb992470a0e45a2ab0cb77b237"><div class="ttname"><a href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237">Type4Parity</a></div><div class="ttdeci">Type4Parity</div><div class="ttdoc">Rodzaj kontroli parzystości.</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00012">transparam.hh:12</a></div></div>
<div class="ttc" id="atransparam_8hh_html_a8ff99acb992470a0e45a2ab0cb77b237a016cb8ef0f82bf2ea07e6cf6c0e63882"><div class="ttname"><a href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237a016cb8ef0f82bf2ea07e6cf6c0e63882">P_Space</a></div><div class="ttdeci">@ P_Space</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00018">transparam.hh:17</a></div></div>
<div class="ttc" id="atransparam_8hh_html_a8ff99acb992470a0e45a2ab0cb77b237a2457874c281d6ec0f92dc6e61f79587d"><div class="ttname"><a href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237a2457874c281d6ec0f92dc6e61f79587d">P_Mark</a></div><div class="ttdeci">@ P_Mark</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00016">transparam.hh:16</a></div></div>
<div class="ttc" id="atransparam_8hh_html_a8ff99acb992470a0e45a2ab0cb77b237a34382ce4bb40c1824bcca93bc234ab6b"><div class="ttname"><a href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237a34382ce4bb40c1824bcca93bc234ab6b">P_None</a></div><div class="ttdeci">@ P_None</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00013">transparam.hh:13</a></div></div>
<div class="ttc" id="atransparam_8hh_html_a8ff99acb992470a0e45a2ab0cb77b237ac4d5e9249b497ebae3148a6545300842"><div class="ttname"><a href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237ac4d5e9249b497ebae3148a6545300842">P_Odd</a></div><div class="ttdeci">@ P_Odd</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00015">transparam.hh:15</a></div></div>
<div class="ttc" id="atransparam_8hh_html_a8ff99acb992470a0e45a2ab0cb77b237ad9cecbcfe646fb2ce2698ba1daf23d62"><div class="ttname"><a href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237ad9cecbcfe646fb2ce2698ba1daf23d62">P_Even</a></div><div class="ttdeci">@ P_Even</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00014">transparam.hh:14</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288f"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288f">Type4BaudRate</a></div><div class="ttdeci">Type4BaudRate</div><div class="ttdoc">Zestaw ustawień szybkości transmisji.</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00026">transparam.hh:26</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288fa0005d784524361a5cdebe194bc9a7e95"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa0005d784524361a5cdebe194bc9a7e95">B_150</a></div><div class="ttdeci">@ B_150</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00032">transparam.hh:32</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288fa27a92d1ac239b3d44e3a8fc27b6b039f"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa27a92d1ac239b3d44e3a8fc27b6b039f">B_4800</a></div><div class="ttdeci">@ B_4800</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00039">transparam.hh:39</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288fa2898cf1c1e6cdb0b7fc6fff5c142c4ba"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa2898cf1c1e6cdb0b7fc6fff5c142c4ba">B_2400</a></div><div class="ttdeci">@ B_2400</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00038">transparam.hh:38</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288fa3a49add2b8f9e87593226dc34583f5d0"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa3a49add2b8f9e87593226dc34583f5d0">B_1800</a></div><div class="ttdeci">@ B_1800</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00037">transparam.hh:37</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288fa47289a31fc82b611270f1f065dd29374"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa47289a31fc82b611270f1f065dd29374">B_0</a></div><div class="ttdeci">@ B_0</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00027">transparam.hh:27</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288fa499f4f816c2ffec705d374891bc6eb51"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa499f4f816c2ffec705d374891bc6eb51">B_57600</a></div><div class="ttdeci">@ B_57600</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00043">transparam.hh:43</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288fa4ecf44e3017ea2b99239d127250289d1"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa4ecf44e3017ea2b99239d127250289d1">B_19200</a></div><div class="ttdeci">@ B_19200</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00041">transparam.hh:41</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288fa510049aa4782215852025c13fd141efc"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa510049aa4782215852025c13fd141efc">B_200</a></div><div class="ttdeci">@ B_200</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00033">transparam.hh:33</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288fa6741f347183b1cc2b8e40eb83a2555c2"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa6741f347183b1cc2b8e40eb83a2555c2">B_134</a></div><div class="ttdeci">@ B_134</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00031">transparam.hh:31</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288fa677772bcffc885d68682ea2e57a96369"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa677772bcffc885d68682ea2e57a96369">B_75</a></div><div class="ttdeci">@ B_75</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00029">transparam.hh:29</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288fa9401cafe870d964773dd29c41dd9725e"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa9401cafe870d964773dd29c41dd9725e">B_50</a></div><div class="ttdeci">@ B_50</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00028">transparam.hh:28</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288fa9ec9266a076b069458fcabcac21f748f"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa9ec9266a076b069458fcabcac21f748f">B_230400</a></div><div class="ttdeci">@ B_230400</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00046">transparam.hh:45</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288faad53e0d4baaafd1d93514a739f25d89e"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288faad53e0d4baaafd1d93514a739f25d89e">B_600</a></div><div class="ttdeci">@ B_600</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00035">transparam.hh:35</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288faba0b508458bf2a54509bb8a20478ca93"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288faba0b508458bf2a54509bb8a20478ca93">B_38400</a></div><div class="ttdeci">@ B_38400</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00042">transparam.hh:42</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288fabd0f221fb68bcb918831d4eb9d5e2e53"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fabd0f221fb68bcb918831d4eb9d5e2e53">B_300</a></div><div class="ttdeci">@ B_300</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00034">transparam.hh:34</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288fad6c9bbc6b9d05dfce96cc12c70190b53"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fad6c9bbc6b9d05dfce96cc12c70190b53">B_110</a></div><div class="ttdeci">@ B_110</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00030">transparam.hh:30</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288fae3f5102fc8661e8b758980d442c11b8e"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fae3f5102fc8661e8b758980d442c11b8e">B_1200</a></div><div class="ttdeci">@ B_1200</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00036">transparam.hh:36</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288fae5aff27725ed62df17a9d52c9435d0d5"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fae5aff27725ed62df17a9d52c9435d0d5">B_115200</a></div><div class="ttdeci">@ B_115200</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00044">transparam.hh:44</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288fae7bf4de131e0edb182e39d87d3027018"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fae7bf4de131e0edb182e39d87d3027018">B_9600</a></div><div class="ttdeci">@ B_9600</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00040">transparam.hh:40</a></div></div>
<div class="ttc" id="atransparam_8hh_html_ad43ec836453f31ea6160c8ec311a9d90"><div class="ttname"><a href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90">Type4CharacterSize</a></div><div class="ttdeci">Type4CharacterSize</div><div class="ttdoc">Pozwala na ustawienie rozmiaru transmitowanego znaku.</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00054">transparam.hh:54</a></div></div>
<div class="ttc" id="atransparam_8hh_html_ad43ec836453f31ea6160c8ec311a9d90a1625f022daa414fd47e25c90eff82460"><div class="ttname"><a href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90a1625f022daa414fd47e25c90eff82460">CS_6</a></div><div class="ttdeci">@ CS_6</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00056">transparam.hh:56</a></div></div>
<div class="ttc" id="atransparam_8hh_html_ad43ec836453f31ea6160c8ec311a9d90a83bba2f5593a571fa5bcadb504f035cd"><div class="ttname"><a href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90a83bba2f5593a571fa5bcadb504f035cd">CS_7</a></div><div class="ttdeci">@ CS_7</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00057">transparam.hh:57</a></div></div>
<div class="ttc" id="atransparam_8hh_html_ad43ec836453f31ea6160c8ec311a9d90aca6d77a969cda9a7d5b3764645230ca8"><div class="ttname"><a href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90aca6d77a969cda9a7d5b3764645230ca8">CS_8</a></div><div class="ttdeci">@ CS_8</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00059">transparam.hh:58</a></div></div>
<div class="ttc" id="atransparam_8hh_html_ad43ec836453f31ea6160c8ec311a9d90ae8764489eb63e8cfa4e79d91e26f90a3"><div class="ttname"><a href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90ae8764489eb63e8cfa4e79d91e26f90a3">CS_5</a></div><div class="ttdeci">@ CS_5</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00055">transparam.hh:55</a></div></div>
<div class="ttc" id="atransparam_8hh_html_adae5ef433c18e71af7b1a18cd4c107e6"><div class="ttname"><a href="transparam_8hh.html#adae5ef433c18e71af7b1a18cd4c107e6">SetTransParam</a></div><div class="ttdeci">bool SetTransParam(int PortDesc, Type4BaudRate BRate=B_115200, Type4Parity Parity=P_None, Type4CharacterSize CSize=CS_8)</div><div class="ttdoc">Ustawianie parametrów transmisji.</div><div class="ttdef"><b>Definition</b> <a href="transparam_8cpp_source.html#l00133">transparam.cpp:133</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="transparam_8hh.html">transparam.hh</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
